Mangools/API

Get all trackings

Get all rank tracking campaigns owned by your account, sorted by creation date (newest first). Each tracking includes its location and the current count of tracked keywords. Set is_with_deleted=true to also include previously deleted trackings in the response.

GET
/serpwatcher/trackings

Authorization

ApiKeyAuth
x-access-token<token>

API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.

In: header

Query Parameters

from?string

Filter from date

to?string

Filter to date

is_with_deleted?string

Set if return also deleted trackings

Response Body

application/json

application/json

curl -X GET "https://api.mangools.com/v3/serpwatcher/trackings"
{
  "user_id": "string",
  "domain": "string",
  "location_id": "string",
  "location": "string",
  "platform_id": "string",
  "created_at": "string"
}
{
  "error": {
    "type": "AuthError",
    "message": "Invalid API Key"
  }
}